Libnvidia-glvkspirv.so.535.113.01 segfault

[ 1164.637234] kcminit_startup[9928]: segfault at 0 ip 00007f6d378ad6f4 sp 00007ffc3a2334a0 error 4 in libnvidia-glvkspirv.so.535.113.01[7f6d36800000+2038000] likely on CPU 29 (core 5, socket 0)
[ 1164.637248] Code: 00 00 00 00 00 90 53 48 8b 1f 48 89 df e8 74 38 0d ff 48 89 df 5b e9 2b 39 0d ff 66 2e 0f 1f 84 00 00 00 00 00 90 48 83 ec 08 <48> 8b 3f e8 94 3a 0d ff 85 c0 0f 94 c0 48 83 c4 08 c3 66 2e 0f 1f
[ 1166.188289] kcminit[10340]: segfault at 0 ip 00007f9fd6aad6f4 sp 00007ffe84c9d690 error 4 in libnvidia-glvkspirv.so.535.113.01[7f9fd5a00000+2038000] likely on CPU 4 (core 4, socket 0)
[ 1166.188303] Code: 00 00 00 00 00 90 53 48 8b 1f 48 89 df e8 74 38 0d ff 48 89 df 5b e9 2b 39 0d ff 66 2e 0f 1f 84 00 00 00 00 00 90 48 83 ec 08 <48> 8b 3f e8 94 3a 0d ff 85 c0 0f 94 c0 48 83 c4 08 c3 66 2e 0f 1f

OS: Archlinux
GPU: GTX 1070 Ti
Kernel: 6.5.6
NVIDIA drivers: 535.130.01

simply powerup the machine and enter en my KDE wayland. then do a dmesg and the segfault is there

i surfer this problem with older kernel (6.5.5) and older drivers. the rest of the things works as spected

greetings

Hello I’m getting this too though it happens after I close most games.

Oct 19 02:50:51 archlinux kernel: lsb_release[3328]: segfault at 0 ip 00007f26954ad6f4 sp 00007fff7ee97180 error 4 in libnvidia-glvkspirv.so.535.113.01[7f2694400000+2038000] likely on CPU 6 (core 0, socket 0) Oct 19 02:50:51 archlinux kernel: Code: 00 00 00 00 00 90 53 48 8b 1f 48 89 df e8 74 38 0d ff 48 89 df 5b e9 2b 39 0d ff 66 2e 0f 1f 84 00 00 00 00 00 90 48 83 ec 08 <48> 8b 3f e8 94 3a 0d ff 85 c0 0f 94 c0 48 83 c4 08 c3 66 2e 0f 1f

I’m also on Arch with a GTX 970 Kernel 6.5.7 and even 6.1.58-1-lts.

I wonder if you are getting any other errors? When ever I run steam I get Unhandled error in __nv_drm_gem_user_memory_handle_vma_fault: -22 and there’s a bunch of text after

Also I see a bunch of kernel: Cannot map memory with base addr 0x7f1ebeb07000 and size of 0x1 pages

The error about libnvidia-glvkspirv.so.535.113.01 started happening around sep 28th.
When I downgraded that specific error went away but i’m not sure which package.

I downgraded first the nvidia stuff but that didn’t help sudo pacman -U nvidia-utils-535.104.05-1-x86_64.pkg.tar.zst libxnvctrl-535.104.05-1-x86_64.pkg.tar.zst linux-6.5.4.arch2-1-x86_64.pkg.tar.zst nvidia-535.104.05-7-x86_64.pkg.tar.zst nvidia-settings-535.104.05-1-x86_64.pkg.tar.zst lib32-nvidia-utils-535.104.05-1-x86_64.pkg.tar.zst

So I did everything else and that one error went away sudo pacman -U glibc-2.38-3-x86_64.pkg.tar.zst brotli-1.0.9-12-x86_64.pkg.tar.zst cairo-1.17.8-2-x86_64.pkg.tar.zst gettext-0.22-1-x86_64.pkg.tar.zst imlib2-1.12.0-1-x86_64.pkg.tar.zst kbd-2.6.2-1-x86_64.pkg.tar.zst lib32-glibc-2.38-3-x86_64.pkg.tar.zst systemd-libs-254.4-1-x86_64.pkg.tar.zst shadow-4.14.0-3-x86_64.pkg.tar.zst systemd-254.4-1-x86_64.pkg.tar.zst lsof-4.98.0-1-x86_64.pkg.tar.zst mpg123-1.32.0-1-x86_64.pkg.tar.zst pinentry-1.2.1-1-x86_64.pkg.tar.zst systemd-sysvcompat-254.4-1-x86_64.pkg.tar.zst udisks2-2.10.1-1-x86_64.pkg.tar.zst gperftools-2.12-1-x86_64.pkg.tar.zst man-db-2.11.2-1-x86_64.pkg.tar.zst openexr-3.2.0-2-x86_64.pkg.tar.zst lib32-systemd-254.4-1-x86_64.pkg.tar.zst

Here’s the full log from journalctl Oct 19 02:45:31 archlinux kernel: microcode: updated early: 0xd6 -> 0xf4, date = - Pastebin.com
I made a post on the arch forums too journalctl segmentation fault libnvidia-glvkspirv.so.535.113.01 / Multimedia and Games / Arch Linux Forums
btw how did you put the error in that box?

Looks like downgrading glibc and lib32-glibc to 2.38-3 fixes the error op posted. I still have the other errors as expected.

btw how did you put the error in that box?

three ` in the beginning and the end of the desired text, both in a new line